Summary: JThread provides classes to make use of threads easy on different platforms
Name: jthread
Version: 1.2.1
Release: 23%{?dist}
License: MIT
URL: http://research.edm.uhasselt.be/~jori/page/index.php?n=CS.Jthread
Source0: http://research.edm.uhasselt.be/jori/jthread/jthread-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires: texlive-collection-latex

%description
JThread provides some classes to make use of threads easy on different
platforms. The classes are actually rather simple wrappers around
existing thread implementations.

%package devel
Summary: Development files for JThread
Requires: jthread = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files for JThread

%prep
%setup -q

%build
%configure --disable-static
make %{_smp_mflags}
pushd doc
pdflatex manual.tex
pdflatex manual.tex
popd

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/libjthread.la

%ldconfig_scriptlets

%files
%doc ChangeLog  LICENSE.MIT README.TXT TODO

%{_libdir}/libjthread-%{version}.so

%files devel
%doc doc/manual.pdf doc/manual.tex

%{_includedir}/jthread
%{_libdir}/libjthread.so
%{_libdir}/pkgconfig/jthread.pc

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.2.1-15
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 21 2013 Mat Booth <fedora@matbooth.co.uk> - 1.2.1-12
- Fix texlive BR: #914107, #992646

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.1-4
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-3
- Update URLs

* Mon Aug 28 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-2
- Bump release and rebuild.

* Sat Aug  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-1
- Update to 1.2.1

* Mon Mar  6 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.2-2
- Add dist tag to release.

* Sat Jan  7 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.2-1
- Initial build.

